# LogDoctor: Warnlists Struct Reference

Loading...
Searching...
No Matches
Warnlists Struct Referencefinal

## Public Member Functions

bool | isUsed (const WebServer ws, const WarnlistField fld)
| Returns whether the requested warnlist is in use.
void | setUsed (const WebServer ws, const WarnlistField fld, const bool used)
| Sets the requested warnlist in the given in-use condition.
Warnlist & | get (const WebServer ws)
| Returns a reference to the requested warnlist.
WarnlistItem & | get (const WebServer ws, const WarnlistField fld)
| Returns a reference to the requested warnlist.
std::vector< std::string > & | getList (const WebServer ws, const WarnlistField fld)
| Returns a reference to the requested warnlist.
const std::vector< std::string > & | getListConst (const WebServer ws, const WarnlistField fld)
| Returns a const reference to the requested warnlist.
void | setList (const WebServer ws, const WarnlistField fld, const std::vector< std::string > &list)
| Replaces the requested warnlist with the one provided.
void | clearList (const WebServer ws, const WarnlistField fld)
| Clears the requested warnlist.
void | addItem (const WebServer ws, const WarnlistField fld, const std::string &item)
| Adds the provided item to the requested warnlist.
void | removeItem (const WebServer ws, const WarnlistField fld, const std::string &item)
| Remove the requested item from the requested warnlist.
int | moveUpItem (const WebServer ws, const WarnlistField fld, const std::string &item)
| Moves the requested item one position up in the requested warnlist.
int | moveDownItem (const WebServer ws, const WarnlistField fld, const std::string &item)
| Moves the requested item one position down in the requested warnlist.

## Member Function Documentation

## addItem()

void Warnlists::addItem | ( | const WebServer | ws,
|  | const WarnlistField | fld,
|  | const std::string & | item )

inline

Adds the provided item to the requested warnlist.

Exceptions

  BWlistException,DoNotCatchException |

## clearList()

void Warnlists::clearList | ( | const WebServer | ws,
|  | const WarnlistField | fld )

inline

Clears the requested warnlist.

Exceptions

  BWlistException,DoNotCatchException |

## get() [1/2]

Warnlist & Warnlists::get | ( | const WebServer | ws | ) |

Returns a reference to the requested warnlist.

Exceptions

  DoNotCatchException |

## get() [2/2]

WarnlistItem & Warnlists::get | ( | const WebServer | ws,
|  | const WarnlistField | fld )

inline

Returns a reference to the requested warnlist.

Exceptions

  DoNotCatchException |

## getList()

std::vector< std::string > & Warnlists::getList | ( | const WebServer | ws,
|  | const WarnlistField | fld )

inline

Returns a reference to the requested warnlist.

Exceptions

  DoNotCatchException |

## getListConst()

const std::vector< std::string > & Warnlists::getListConst | ( | const WebServer | ws,
|  | const WarnlistField | fld )

inline

Returns a const reference to the requested warnlist.

Exceptions

  DoNotCatchException |

## isUsed()

bool Warnlists::isUsed | ( | const WebServer | ws,
|  | const WarnlistField | fld )

inline

Returns whether the requested warnlist is in use.

Exceptions

  DoNotCatchException |

## moveDownItem()

int Warnlists::moveDownItem | ( | const WebServer | ws,
|  | const WarnlistField | fld,
|  | const std::string & | item )

inline

Moves the requested item one position down in the requested warnlist.

Exceptions

  BWlistException |

## moveUpItem()

int Warnlists::moveUpItem | ( | const WebServer | ws,
|  | const WarnlistField | fld,
|  | const std::string & | item )

inline

Moves the requested item one position up in the requested warnlist.

Exceptions

  BWlistException |

## removeItem()

void Warnlists::removeItem | ( | const WebServer | ws,
|  | const WarnlistField | fld,
|  | const std::string & | item )

inline

Remove the requested item from the requested warnlist.

Exceptions

  BWlistException |

## setList()

void Warnlists::setList | ( | const WebServer | ws,
|  | const WarnlistField | fld,
|  | const std::vector< std::string > & | list )

inline

Replaces the requested warnlist with the one provided.

Exceptions

  BWlistException,DoNotCatchException |

## setUsed()

void Warnlists::setUsed | ( | const WebServer | ws,
|  | const WarnlistField | fld,
|  | const bool | used )

inline

Sets the requested warnlist in the given in-use condition.

Exceptions

  DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/warnlists/warnlists.h
- logdoctor/modules/warnlists/warnlists.cpp